html, body {
    height: 100%;
}

body {
    color: #73879C;
    background: #F7F7F7;
    font-family: "Helvetica Neue", Roboto, Arial, "Droid Sans", sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.471;
}

.input-lg {
    height: 40px;
}

.error {
    color: red;
}

.custom-checkbox .custom-control-input,
.custom-checkbox .custom-control-label,
.custom-radio .custom-control-input,
.custom-radio .custom-control-label {
    cursor: pointer;
}

.custom-control-label::before {
    top: .12rem;
}

.custom-control-label::after {
    top: .12rem;
}

.form-control, .col-form-label, label {
    font-size: 14px;
}

/*loading screen*/
#loading-screen {
    background: rgba(75, 72, 72, 0.5);
    position: absolute;
    width: 100%;
    height: 100%;
    min-height: 120ch;
    z-index: 1;
}

#loading-screen .lds-ring {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
    left: 46%;
    top: 30%;
}

#loading-screen .lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 64px;
    height: 64px;
    margin: 8px;
    border: 8px solid #fff;
    border-radius: 50%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: #fff transparent transparent transparent;
}

#loading-screen .lds-ring div:nth-child(1) {
    animation-delay: -0.45s;
}

#loading-screen .lds-ring div:nth-child(2) {
    animation-delay: -0.3s;
}

#loading-screen .lds-ring div:nth-child(3) {
    animation-delay: -0.15s;
}

@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@media all and (-ms-high-contrast: none) {
    #noty_layout__topCenter {
        height: 50px;
        right: 0;
        left: 0;
        margin: auto;
        -webkit-transform: translate(-webkit-calc(-39% - .5px)) translateZ(0) scale(1, 1);
        transform: translate(calc(-39% - .5px)) translateZ(0) scale(1, 1);
    }

    *::-ms-backdrop, #noty_layout__topCenter {
        height: 50px;
        right: 0;
        left: 0;
        margin: auto;
        -webkit-transform: translate(-webkit-calc(-39% - .5px)) translateZ(0) scale(1, 1);
        transform: translate(calc(-39% - .5px)) translateZ(0) scale(1, 1);
    }
}


/*custom for login-page*/
.login-page .logo-login {
    margin-top: 72px;
    margin-bottom: 20px;
    height: 150px;
}

.login-page .logo-login img {
    height: 100%;
    object-fit: contain;
}

.login-page form label.error {
    width: 100%;
    margin-top: 5px;
}

.upload-page .upload-wrapper {
    height: 36px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.upload-page .upload-wrapper .file-upload {
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    border-radius: 0.25rem;
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

.upload-page .upload-wrapper .file-upload:hover {
    color: #fff;
    background-color: #0069d9;
    border-color: #0062cc;
}

.upload-page .upload-wrapper input[type='file'] {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    cursor: pointer;
}

.upload-page .upload-wrapper img {
    width: 75px;
}

.upload-page .upload-wrapper b {
    font-size: 15px;
    margin-left: 5px;
}

.upload-page .upload-wrapper p:nth-child(1n) {
    top: 165px;
}

.upload-page .upload-wrapper p:nth-child(2n) {
    top: 145px;
}

.upload-page .console-btn {
    background: #d3d3d3;
    color: rgb(95, 99, 104);
}

.upload-page .console-btn, .upload-page .logout-btn {
    background: #d3d3d3 !important;
    color: rgb(95, 99, 104) !important;
}

.upload-page .console-btn:hover, .upload-page .logout-btn:hover {
    box-shadow: 0 1px 2px 0  rgb(95, 99, 10 , .3), 0 1px 3px 1px  rgb(95, 99, 104, .24) !important;
    background-color:  rgb(95, 99, 104, .2) !important;
    outline: 1px solid transparent !important;
    border: none !important;
}

.upload-page .card,
.upload-page .card-header,
.upload-page .card-body {
    background: #F7F7F7;
    border: 0;
}

.upload-page .card-body {
    padding: 5px 15px;
}

.upload-page .card-header {
    font-weight: 400;
    font-size: 15px;
    position: relative;
    cursor: pointer;
    padding: 5px 15px;
}

.upload-page .card-header hr {
    border-bottom: 1px solid #0E7B9B;
    width: calc(100% - 36px);
}

.upload-page .card-header .title-content {
    color: #73879C;
    display: flex;
    top: 12px;
    background: #f5f5f5;
    text-transform: uppercase;
}

.upload-page .card-header .question-mark {
    background:  rgba(108, 117, 125, 0.82);
    padding: 1px 7px;
    margin-right: 1px;
    margin-left: 5px;
    color: white;
    font-size: 14px;
    border-radius: 100%;
    cursor: help;
}

.upload-page .card-header .question-mark:before,
.upload-page .card-header .question-mark:after {
    position: absolute;
    visibility: hidden;
    transition: allease0.3s;
}

.upload-page .card-header .question-mark:before {
    content: "";
    border-width: 10px 8px 08px;
    border-style: solid;
    border-color: rgba(108, 117, 125, 0.82) transparent transparent transparent;
    top: -5px;
    margin-left: -4px;
}

.upload-page .card-header .question-mark:after {
    content: attr(data-tooltip);
    background: rgba(108, 117, 125, 0.82);
    top: -5px;
    transform: translateY(-100%);
    margin-left: -120px;
    width: 150px;
    border-radius: 10px;
    color: #fff;
    padding: 10px;
    text-transform: none;
}

.upload-page .card-header .question-mark:hover:before,
.upload-page .card-header .question-mark:hover:after {
    visibility: visible;
}

.upload-page .card-header:after {
    position: absolute;
    top: 3px;
    right: 15px;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: #73879C;
    content: "\2212";
}

.upload-page .card-header.collapsed:after {
    content: "\002B";
}

.upload-page #fileSetting, .upload-page #nonDRMSetting {
    display: none;
}

.upload-page #fileSetting,
.upload-page .collapse,
.upload-page .collapsing,
.upload-page #nonDRMSetting{
    width: 100%;
}

.upload-page .color-shower {
    background-color: #5a6268;
    width: 100%;
}

.upload-page .color-picker {
    width: 34px;
    height: 34px;
    display: inline-block;
    float: left;
    cursor: pointer
}

.upload-page .image-upload > input {
    display: none;
}

.upload-page .image-upload img {
    width: 80px;
    cursor: pointer;
}

.upload-page #uploadFiles .table td, .upload-page #uploadFiles .table th,
.upload-page #nonDRMFiles .table td, .upload-page #nonDRMFiles .table th,
.upload-page #customURLs .table td, .upload-page #customURLs .table th{
    vertical-align: middle;
}

.upload-page #uploadFiles tbody {
    display: block;
    max-height: 230px;
    overflow: auto;
}

.upload-page #nonDRMFiles tbody {
    display: block;
    max-height: 448px;
    overflow: auto;
}

.custom-backend-page #customURLs tbody {
    display: block;
    max-height: 200px;
    overflow: auto;
}

.upload-page #uploadFiles thead, .upload-page #nonDRMFiles thead {
    width: calc(100% - 1em) /* scrollbar is average 1em/16px width, remove it from thead width */
}


.upload-page #uploadFiles thead tr, .upload-page #uploadFiles tbody tr,
.upload-page #nonDRMFiles thead tr, .upload-page #nonDRMFiles tbody tr,
.custom-backend-page #customURLs thead tr, .custom-backend-page #customURLs tbody tr{
    display: table;
    table-layout: fixed; /* even columns width , fix width of table too*/
    width: 100%;
}

.upload-page #uploadFiles tbody td.name, .upload-page #nonDRMFiles tbody td.name,
.custom-backend-page #customURLs tbody td.name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.upload-page .expired-date input:disabled,
.upload-page .expired-date button:disabled {
    cursor: not-allowed;
}

.upload-page #fileSetting select {
    cursor: pointer;
}

.upload-page #fileSetting select:disabled {
    cursor: not-allowed;
}

.upload-page #btn_done:disabled {
    cursor: wait;
}

.daterangepicker {
    width: 245px;
    left: 25px !important;
}

.google-login {
    padding-top: 5px;
    margin: 0 auto;
}
.google-login>.btn {
    box-shadow: 0 1px 0 0 rgba(0,0,0,.2), 0 3px 1px -2px rgba(0,0,0,0), 0 1px 5px 0 rgba(0,0,0,0);
}
.google-login .no-border-radius {
    border-radius: 0;
}
.google-login .container-xs-height {
    display: table;
    padding-left: 0;
    padding-right: 0;
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
}
.google-login .image-position {
    position: absolute;
    left: 25px;
}
.google-login .btn:hover {
    background-color: #3d78d4;
    border: 1px solid rgba(98,98,98,.27);
}
.google-login .btn {
    border: 1px solid #f0f0f0;
}
.google-login .btn:hover {
    box-shadow: none;
}
.google-login .btn:hover {
    color: #fff;
    text-decoration: none;
}
.google-login .cursor {
    cursor: pointer;
}

.nav {
    list-style-type: none;
    text-align: center;
}

.nav li {
    display: inline-block;
    font-size: 20px;
}

.small-text {
    font-size: 14px !important;
}

.small-text a {
    text-decoration: none;
    color: black;
    opacity: 0.8;
}

.account-text {
    color:black;
    opacity: 0.5;
}

.team-list {
    list-style-type: none; padding-left: 2px;
}

.pb-30{
    padding-bottom: 30px;
}

.w-10{
    width: 10%;
}

.w-20{
    width: 20%;
}

.w-30{
    width: 30%;
}

.w-40{
    width: 40%;
}

.w-50{
    width: 50%;
}

.w-60{
    width: 60%;
}

.w-80{
    width: 80%;
}

.wm-content {
    padding-left: 40px;
    display: none;
}

.footer-bg{
    background-color: #f8f8f8;
    position: fixed;
    bottom: 0;
    left:0;
}

ml-minus-40{
    margin-left: -40px;
}

.cs-pointer {
    cursor: pointer;
}

.table td,
.table th {
    border-top: none;
    padding: .75rem;
    vertical-align: top;
    border-bottom: 1px solid #dee2e6
}

.table thead th {
    border-top: none;
    vertical-align: bottom;
    border-bottom: 1px solid #dee2e6
}
